API-Dokumentation

Greifen Sie programmatisch auf alle Xuvero-Tools zu. API-Zugang erfordert einen Business-Plan.

Authentifizierung

Fügen Sie Ihren API-Schlüssel im Authorization-Header ein:

Authorization: Bearer YOUR_API_KEY

Basis-URL

https://xuvero.com/api/v1

Endpunkte

GET /api/v1/tools Alle Tools auflisten

Gibt alle aktiven Tools mit Metadaten zurück.

{
  "tools": [
    {
      "slug": "word-counter",
      "name": "Word Counter",
      "description": "Count words, characters, and more.",
      "category": "text",
      "type": "text",
      "is_pro_only": false
    }
  ],
  "count": 32
}
GET /api/v1/tools/{slug} Tool-Details & Felder abrufen
{
  "slug": "word-counter",
  "name": "Word Counter",
  "type": "text",
  "fields": [
    { "name": "text", "type": "textarea", "label": "Your Text", "required": true }
  ],
  "max_file_mb": 5
}
POST /api/v1/tools/{slug}/process Tool ausführen

Senden Sie Tool-Eingaben als JSON-Body. Gibt das Ergebnis zurück.

Anfrage

POST /api/v1/tools/word-counter/process
Content-Type: application/json
Authorization: Bearer YOUR_KEY

{
  "text": "Hello world, this is a test."
}

Antwort

{
  "success": true,
  "result": {
    "words": 6,
    "characters": 28,
    "sentences": 1
  },
  "processing_time_ms": 12
}
GET /api/v1/account Ihr Konto & Nutzung
{
  "name": "John Doe",
  "email": "[email protected]",
  "plan": "business",
  "api_calls_today": 142,
  "api_calls_limit": 10000
}

Ratenlimits

Plan API-Aufrufe / Tag
FreeNicht verfügbar
ProNicht verfügbar
Business10.000 / Tag

Bereit loszulegen?

Upgraden Sie auf den Business-Plan für vollen API-Zugang.

Pläne ansehen
KI Xuvero
Hallo! Ich bin KI Xuvero — eine künstliche Intelligenz, entwickelt vom Xuvero-Team. Ich kann das richtige Tool finden, Dinge erklären, Code schreiben, jede Frage beantworten oder einfach plaudern. Wie kann ich Ihnen helfen?